I have set up an alias for apt-get as apt, for convenience. This works fine, I can do

sudo apt install PACKAGE

sudo apt remove PACKAGE

sudo apt update

etc with no issues. However, the autoremove option doesn't work. When I do

sudo apt autoremove

I get E: Invalid operation autoremove

But when I do

sudo apt-get autoremove

it works fine. What's going wrong?

up vote 3 down vote accepted

As of Ubuntu 14.10, apt is a program installed on the system. It does not currently support autoremove.

You may have to recreate your alias to override the builtin program.

http://manpages.ubuntu.com/manpages/utopic/en/man8/apt.8.html

Your Answer

 

By clicking "Post Your Answer", you acknowledge that you have read our updated terms of service, privacy policy and cookie policy, and that your continued use of the website is subject to these policies.

Not the answer you're looking for? Browse other questions tagged or ask your own question.